Package com.stardog.stark

# Enum Class Axioms.Facet

java.lang.Object
java.lang.Enum<Axioms.Facet>
com.stardog.stark.Axioms.Facet

All Implemented Interfaces:
  `Serializable`, `Comparable<Axioms.Facet>`, `Constable`

Enclosing class:
  `Axioms`

public static enum Axioms.Facet extends Enum<Axioms.Facet>

Enumeration of the possible facets for a `Axioms.FacetRestriction` on a `Axiom.NamedDatatype`

Author:
  Michael Grove

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `langRange`
  `length`
  `maxExclusive`
  `maxInclusive`
  `maxLength`
  `minExclusive`
  `minInclusive`
  `pattern`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IRI`
  `getURI()`
  `static Axioms.Facet`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Axioms.Facet[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### minInclusive

    public static final Axioms.Facet minInclusive

  - ### maxInclusive

    public static final Axioms.Facet maxInclusive

  - ### minExclusive

    public static final Axioms.Facet minExclusive

  - ### maxExclusive

    public static final Axioms.Facet maxExclusive

  - ### length

    public static final Axioms.Facet length

  - ### maxLength

    public static final Axioms.Facet maxLength

  - ### pattern

    public static final Axioms.Facet pattern

  - ### langRange

    public static final Axioms.Facet langRange

- ## Method Details

  - ### values

    public static Axioms.Facet[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Axioms.Facet valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getURI

    public IRI getURI()